-- 基础信息
base_info = {
	group_id = 247003018
}

-- DEFS_MISCS
local GroupId = 247003018
local point_id_list = {}
local MainGroupID = 247003001
local RegionID = 18001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 18001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 240.175, y = 0.150, z = 240.097 } }
}

-- 触发器
triggers = {
	{ config_id = 1018001, name = "ENTER_REGION_18001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 18002, pos = { x = 240.125, y = 0.139, z = 253.474 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 18003, pos = { x = 237.129, y = 0.139, z = 252.772 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 18004, pos = { x = 243.352, y = 0.139, z = 252.888 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 18005, pos = { x = 233.218, y = 0.139, z = 251.564 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 18006, pos = { x = 247.290, y = 0.139, z = 251.117 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 18007, pos = { x = 230.771, y = 0.139, z = 249.065 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 18008, pos = { x = 250.525, y = 0.139, z = 249.082 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 18009, pos = { x = 229.959, y = 0.139, z = 246.530 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 18010, pos = { x = 250.639, y = 0.139, z = 246.182 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 18011, pos = { x = 229.909, y = 0.139, z = 243.436 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 18012, pos = { x = 240.194, y = 0.139, z = 252.161 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 18013, pos = { x = 235.299, y = 0.139, z = 250.196 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 18014, pos = { x = 245.248, y = 0.139, z = 250.369 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 18015, pos = { x = 231.898, y = 0.139, z = 247.099 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 4 },
	{ config_id = 18016, pos = { x = 249.435, y = 0.139, z = 246.077 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 18017, pos = { x = 232.347, y = 0.139, z = 241.442 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 18018, pos = { x = 248.846, y = 0.139, z = 240.162 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 18019, pos = { x = 235.355, y = 0.139, z = 237.630 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 4 },
	{ config_id = 18020, pos = { x = 245.426, y = 0.139, z = 236.821 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 4 },
	{ config_id = 18021, pos = { x = 240.186, y = 0.139, z = 234.766 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 18022, pos = { x = 230.179, y = 0.139, z = 252.504 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 18023, pos = { x = 250.246, y = 0.139, z = 252.504 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 18024, pos = { x = 230.179, y = 0.139, z = 233.478 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 18025, pos = { x = 250.246, y = 0.139, z = 233.478 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 18026, pos = { x = 231.913, y = 0.139, z = 252.504 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 18027, pos = { x = 251.980, y = 0.139, z = 252.504 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 18028, pos = { x = 231.913, y = 0.139, z = 233.478 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 18029, pos = { x = 251.980, y = 0.139, z = 233.478 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 18030, pos = { x = 227.497, y = 0.139, z = 252.504 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 18031, pos = { x = 247.564, y = 0.139, z = 252.504 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 18032, pos = { x = 227.497, y = 0.139, z = 233.478 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 18033, pos = { x = 247.564, y = 0.139, z = 233.478 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 18034, pos = { x = 238.999, y = 0.139, z = 246.513 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 18035, pos = { x = 241.232, y = 0.139, z = 246.513 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 18036, pos = { x = 237.086, y = 0.139, z = 246.513 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 18037, pos = { x = 243.278, y = 0.139, z = 246.513 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 18038, pos = { x = 235.214, y = 0.139, z = 246.513 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 18039, pos = { x = 245.116, y = 0.139, z = 246.513 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 18040, pos = { x = 236.969, y = 0.139, z = 244.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 18041, pos = { x = 243.015, y = 0.139, z = 244.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 18042, pos = { x = 241.232, y = 0.139, z = 244.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 18043, pos = { x = 238.999, y = 0.139, z = 244.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 18044, pos = { x = 240.191, y = 0.171, z = 247.007 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 18001 },
		triggers = { "ENTER_REGION_18001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
